org.apache.commons.math.stat.clustering

## Interface Clusterable<T>

Type Parameters:
  `T` - the type of point that can be clustered

All Known Implementing Classes:
  EuclideanIntegerPoint

    public interface Clusterable<T>

Interface for points that can be clustered together.

Since:
  2.0
Version:
  $Revision: 811685 $ $Date: 2009-09-05 19:36:48 +0200 (sam. 05 sept. 2009) $

### Method Summary

Methods
`T` `centroidOf(Collection<T> p)` Returns the centroid of the given Collection of points.
`double` `distanceFrom(T p)` Returns the distance from the given point.

### Method Detail

#### distanceFrom

    double distanceFrom(T p)

Returns the distance from the given point.

Parameters:
  `p` - the point to compute the distance from
Returns:
  the distance from the given point

#### centroidOf

    T centroidOf(Collection<T> p)

Returns the centroid of the given Collection of points.

Parameters:
  `p` - the Collection of points to compute the centroid of
Returns:
  the centroid of the given Collection of Points